libevent 2.1.13 Event notification library

Loading...
Searching...
No Matches
event_base Struct Reference

Structure to hold information and state for a Libevent dispatch loop. More...

`#include <event.h>`

## Detailed Description

Structure to hold information and state for a Libevent dispatch loop.

The event_base lies at the center of Libevent; every application will have one. It keeps track of all pending and active events, and notifies your application of the active ones.

This is an opaque structure; you can allocate one using event_base_new() or event_base_new_with_config().

See also
  event_base_new(), event_base_free(), event_base_loop(), event_base_new_with_config()

The documentation for this struct was generated from the following file:

- event2/event.h